package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Operator;
import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;

public interface IOperatorService extends IGenericService<Operator>{
	public 	Operator getNew(Operator o);

	int countByParamsBack(Map<String, Object> paramMap);

	List<Operator> findByParamsBack(Map<String, Object> paramMap, Pager pager);

	boolean updateStatusBack(List<Long> idList, int status);
}
